Systems
Create a new system with the specified ID
Authorizations
AuthorizationstringRequired
Path parameters
projectIdstringRequired
The project ID
siteIdstringRequired
The site ID
systemIdstringRequired
The system ID
Body
Refer to the /schemas/system endpoint for the full JSON Schema definition
codestringRequiredPattern:
^[A-Z0-9]*$statusstring · enumRequiredDefault:
New SystemPossible values: namestringRequired
startDatestring · dateRequired
typestring · enumRequiredPossible values:
meterNumberstringOptional
contractedDemandnumberOptional
verifiedbooleanOptionalDefault:
falseResponses
200
successful operation
application/json
400
Invalid status value
application/json
post
/projects/{projectId}/sites/{siteId}/systems/{systemId}Update an existing system
Authorizations
AuthorizationstringRequired
Path parameters
projectIdstringRequired
The project ID
siteIdstringRequired
The site ID
systemIdstringRequired
The system ID
Body
Refer to the /schemas/system endpoint for the full JSON Schema definition
codestringRequiredPattern:
^[A-Z0-9]*$statusstring · enumRequiredDefault:
New SystemPossible values: namestringRequired
startDatestring · dateRequired
typestring · enumRequiredPossible values:
meterNumberstringOptional
contractedDemandnumberOptional
verifiedbooleanOptionalDefault:
falseResponses
200
successful operation
application/json
400
Invalid status value
application/json
put
/projects/{projectId}/sites/{siteId}/systems/{systemId}Deletes an existing system
Authorizations
AuthorizationstringRequired
Path parameters
projectIdstringRequired
The project ID
siteIdstringRequired
The site ID
systemIdstringRequired
The system ID
Responses
200
successful operation
application/json
objectOptional
400
Invalid status value
application/json
delete
/projects/{projectId}/sites/{siteId}/systems/{systemId}